package com.red.circle.other.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * 红包游戏.
 *
 * @author pengliang on 2022/8/2
 */
public enum GameRedPacketKeys implements RedisKeys {

  /**
   * 红包队列.
   */
  QUEUE,

  /**
   * 领取状态.
   */
  STATUS;

  @Override
  public String businessPrefix() {
    return "GAME_RED_PACKET";
  }

  @Override
  public String businessKey() {
    return this.name();
  }
}
